# Generated by Django 2.0 on 2017-12-27 21:22

import os

from django.conf import settings
from django.contrib.auth.hashers import make_password
from django.db import migrations, models

from core.utils import generate_password


def create_dj_user(apps, schema_editor):
    User = apps.get_model('core', 'RadioUser')
    db_alias = schema_editor.connection.alias

    new_password = generate_password()
    dj = User(email=settings.RADIO_DJ_EMAIL,
              name=settings.RADIO_DJ_NAME,
              password=make_password(new_password),
              is_superuser=False,
              is_staff=True,
              is_dj=True)
    dj.save(using=db_alias)

    with open(os.path.join(settings.PROJECT_DIR, '.djinfo'), 'w') as f:
        f.write('Email: {}\n'.format(dj.email))
        f.write('Name: {}\n'.format(dj.name))
        f.write('Password: {}\n'.format(new_password))


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(create_dj_user),
    ]
